Package: groovy.inspect.swingui

## [Groovy] Interface AstBrowserNodeMaker<T>

- This interface is used to create tree nodes of various types

  Authors:
    Roshan Dawrani

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `T` | `makeNode(Object userObject)`
    `` | `T` | `makeNodeWithProperties(Object userObject, List<List<String>> properties)`

- - ### Method Detail

    - #### T makeNode(Object userObject)

    - #### T makeNodeWithProperties(Object userObject, List<List<String>> properties)